
ChiliProject - Bug # 996: Search not working under ruby 1.9.2 or 1.9.3

Status: Open Priority: Normal
Author: Simon Stearn Category:
Created: 2012-04-23 Assignee:
Updated: 2012-05-18 Due date:
Remote issue URL:
Affected version:
Description: Experimenting with the more recent rubies using rvm and passenger.  We have reasonably large forums 

(>2000 messages) and searching them under 1.8.7 returns results, wheras ruby 1.9.3 returns:

<pre><code>
Processing SearchController#index (for 192.168.2.24 at 2012-04-23 19:36:51) [GET]
  Parameters: {"messages"=>"1", "q"=>"web", "controller"=>"search", "action"=>"index", "id"=>"exony-faq"}
Rendering template within layouts/base
Rendering search/index

ActionView::TemplateError ((<unknown>): could not find expected ':' while scanning a simple key at line 20 
column 1) on line #33 of app/views/search/index.rhtml:
30:
31:     <dl id="search-results">
32:       <% @results.each do |e| %>
33:         <dt class="<%= e.event_type %>">
34:           <%= content_tag('span', h(e.project), :class => 'project') unless @project == e.project %>
35:           <%= link_to highlight_tokens(truncate(h(e.event_title), :length => 255), @tokens), e.event_url %>
36:         </dt>

    /usr/local/rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych.rb:203:in `parse'
    /usr/local/rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych.rb:203:in `parse_stream'
    /usr/local/rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych.rb:151:in `parse'
    /usr/local/rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych.rb:127:in `load'

</pre></code>

and in 1.9.2 it returns:

<pre><code>
Processing SearchController#index (for 192.168.2.24 at 2012-04-23 19:13:07) [GET]
  Parameters: {"messages"=>"1", "q"=>"web", "controller"=>"search", "action"=>"index", "id"=>"exony-faq"}
Rendering template within layouts/base
Rendering search/index

ActionView::TemplateError (couldn't parse YAML at line 21 column 0) on line #33 of 
app/views/search/index.rhtml:
30:
31:     <dl id="search-results">
32:       <% @results.each do |e| %>
33:         <dt class="<%= e.event_type %>">
34:           <%= content_tag('span', h(e.project), :class => 'project') unless @project == e.project %>
35:           <%= link_to highlight_tokens(truncate(h(e.event_title), :length => 255), @tokens), e.event_url %>
36:         </dt>
    /usr/local/rvm/rubies/ruby-1.9.2-p320/lib/ruby/1.9.1/psych.rb:148:in `parse'
    /usr/local/rvm/rubies/ruby-1.9.2-p320/lib/ruby/1.9.1/psych.rb:148:in `parse_stream'
</pre></code>

I am using the mysql2 gem on fedora 16.  Any pointers ?

Associated revisions
2008-04-24 07:28 pm - Jean-Philippe Lang 
CVS duplicate key violation fix (#996, #1098).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1355 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-02-10 01:50 am - Toshi MARUYAMA
scm: cvs: use localtime at cvs rlog -d option (#996, #3761).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4794 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-02-10 01:51 am - Toshi MARUYAMA
scm: cvs: change temporary revision number from "_N" to "tmpN" (#996, #3761, #6706).

'_' is SQL "like" special character.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4801 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-04-23 07:03 pm - Simon Stearn
Sorry - this is chiliproject-3.1

2012-05-18 08:53 pm - Felix Schäfer
These look like errors with the yaml parser, it's been changed in 1.9 and there's subtle incompatibilities with the 1.8 one. I can't fathom what's going on 
there though, I'll have to have a closer look.
